/* Problem 5--Stars of Elendil
   This was a simple application of trigonometry */

import java.io.*;
import java.util.*;

public class prob5 {

 private static Scanner in = null;
 private static PrintWriter out = null;
 private static int cs = 0;

 public static void main (String[] args) throws Exception {

  in = new Scanner (new File ("prob5.in"));
  out = new PrintWriter ("prob5.out");
  while (true) {
   int n = in.nextInt ();
   if (n==0) break; //Quit when we find 0
   double x = in.nextDouble ();
   Process (n,x);
  }
  in.close ();
  out.close ();
 }

 /* Process processes a polygon with n sides of length x */
 public static void Process (int n, double x) {

  double t1 = Area (x,360.0/n); //Area of internal triangle
  double t2 = Area (x,180-720.0/n); //Area of external triangle
  double a = n*(t1+t2); //Total area
  out.printf ("Case %d: The area of this %d-sided polygon is %.2f",
               ++cs,n,a);
  out.println ();
 }

 /* This computes the area of an isosceles triangle with third side x
    and opposite angle a (in degrees). */
 public static double Area (double x, double a) {

  double s2 = x*x/(2*(1-Math.cos(a*Math.PI/180))); //Law of Cosines
  return 0.5*s2*Math.sin(a*Math.PI/180); //Area formula
 }
}
